<?xml version="1.0" encoding="UTF-8"?>
<mapping>
  <description>Castor generated mapping file</description>
  <class cst:name="jp.terasoluna.rich.functionsample.formcheck.bean.XMLFormCheckInputData">
    <description>Default mapping for class jp.terasoluna.rich.functionsample.formcheck.bean.XMLFormCheckInputData</description>
    <map-to cst:xml="XMLFormCheckInputData"/>
    <field cst:name="booleanClass" cst:type="java.lang.Boolean">
    	<bind-xml name="boolean" node="element"/>
    </field>
    <field cst:name="doubleClass" cst:type="java.lang.Double">
    	<bind-xml name="double" node="element"/>
    </field>
    <field cst:name="characterClass" cst:type="java.lang.Character">
    	<bind-xml name="character" node="element"/>
    </field>
    <field cst:name="floatClass" cst:type="java.lang.Float">
    	<bind-xml name="float" node="element"/>
    </field>
    <field cst:name="integerClass" cst:type="java.lang.Integer">
    	<bind-xml name="integer" node="element"/>
    </field>
    <field cst:name="longClass" cst:type="java.lang.Long">
    	<bind-xml name="long" node="element"/>
    </field>
    <field cst:name="shortClass" cst:type="java.lang.Short">
    	<bind-xml name="short" node="element"/>
    </field>
    <field cst:name="byteClass" cst:type="java.lang.Byte">
    	<bind-xml name="byte" node="element"/>
    </field>
    <field cst:name="dateClass" cst:type="java.util.Date" >
	    <bind-xml name="date" node="element"/>
    </field>
    <field cst:name="stringClass" cst:type="java.lang.String" >
	    <bind-xml name="string" node="element"/>
    </field>    
    <field cst:name="integerAllowEmpty" cst:type="java.lang.Integer" >
	    <bind-xml name="integerAllowEmpty" node="element"/>
    </field>
    <field cst:name="bigDecimalClass" cst:type="java.math.BigDecimal" >
	    <bind-xml name="bigDecimal" node="element"/>
    </field>    
    <field cst:name="arrayClass" cst:collection="array" cst:type="java.lang.String" >
	    <bind-xml name="array" node="element"/>
    </field>
    <field cst:name="arrayListClass" cst:collection="arraylist" cst:type="java.lang.String" >
	    <bind-xml name="arrayList" node="element"/>
    </field>    
  </class>
</mapping>